# LVGL on Linux with VSCode

Welcome to the LVGL on Linux project! This project allows you to develop and simulate the LittlevGL (LVGL) graphics library on a Linux system using Visual Studio Code (VSCode). LVGL is an open-source graphics library for embedded systems, ideal for developing graphical user interfaces (GUIs) on microcontrollers and other embedded platforms.

## To Clone this

``` bash
  git clone https://git.noorlander.info/E.Noorlander/CMake_LVGL_C.git  --recursive
```
Recursive is required due to the submodules in the lib folder.  

## Requirements

Make sure your system meets the following requirements:

- Operating System: Linux (e.g., Ubuntu)
- Visual Studio Code: Download and install the latest version of [VSCode](https://code.visualstudio.com/).
- Required Packages: Install the following packages using your package manager:
  - git
  - libsdl2-dev
  - build-essential
  - cmake

  On an Ubuntu-like system, you can install these packages with the following command:

  sudo apt install git libsdl2-dev build-essential cmake

## To build

``` bash
  mkdir build
  cd build
  cmake ..
  make

```

# LVGL op Linux met VSCode

Welkom bij het LVGL op Linux-project! Dit project stelt u in staat om de LittlevGL (LVGL) grafische bibliotheek te ontwikkelen en te simuleren op een Linux-systeem met behulp van Visual Studio Code (VSCode). LVGL is een open-source grafische bibliotheek voor embedded systemen, ideaal voor het ontwikkelen van grafische gebruikersinterfaces (GUI's) op microcontrollers en andere embedded platforms.

## Om dit te Klonen

``` bash
  git clone https://git.noorlander.info/E.Noorlander/CMake_LVGL_C.git  --recursive
```
Recursive is nodig i.v.m. de submodules in de lib-map.  

Vereisten

Zorg ervoor dat uw systeem voldoet aan de volgende vereisten:

- Besturingssysteem: Linux (bijv. Ubuntu)
- Visual Studio Code: Download en installeer de nieuwste versie van [VSCode](https://code.visualstudio.com/).
- Benodigde Pakketten: Installeer de volgende pakketten via uw pakketbeheerder:
  - git
  - libsdl2-dev
  - build-essential
  - cmake

  Op een Ubuntu-achtig systeem kunt u deze pakketten installeren met het volgende commando:

  sudo apt install git libsdl2-dev build-essential cmake

## Om te bouwen

``` bash
  mkdir build
  cd build
  cmake ..
  make
```
